Get default create parameters
GET
/defaults/createParams
const url = 'https://example.com/api/v1/defaults/createParams';const options = {method: 'GET', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/defaults/createParams \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”domain
integer
Get the effective defaults for specific domain
Responses
Section titled “Responses”Default values returned
Media typeapplication/json
object
data
object
user
Default values for user creation
object
key
additional properties
any
domain
Default values for domain creation
object
key
additional properties
any
Examplegenerated
{ "data": { "user": {}, "domain": {} }}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}The database query failed
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}